Package org.apache.sling.commons.testing.util

# Class TestStringUtil

java.lang.Object
org.apache.sling.commons.testing.util.TestStringUtil

public class TestStringUtil extends Object
String utilities for testing

## Constructor Summary

Constructors
Constructor
Description
`TestStringUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`flatten(String str)`
Replace \n with . in strings to make it easier to compare visually for testing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestStringUtil

public TestStringUtil()

## Method Details

### flatten

public static String flatten(String str)
Replace \n with . in strings to make it easier to compare visually for testing